Using Remote Desktop Connection

With Remote Desktop Connection, you can easily connect to a terminal server or to another computer running Windows Professional or Server and Remote Desktop. All you need is network access and permissions to connect to the other computer. Optionally, you can specify special settings for your connection and then save the settings for the next time you connect.

Note

  • To open Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.


Create a new connection

To create a new connection

  1. Open Remote Desktop Connection

  2. In Computer, type a computer name or IP address. The computer can be a terminal server or it can be a computer running Windows Professional or Server that has Remote Desktop enabled and for which you have Remote Desktop permissions.

  3. Click Connect.

    The Log On to Windows dialog box appears.

  4. In the Log On to Windows dialog box, type your user name, password, and domain (if required), and then click OK.

Notes

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • To change your connection settings, (such as screen size, automatic logon information, and performance options), click Options before you connect. For more information, see Change Connection Settings.
Related Topics

Reestablish a prior connection

Save connections to a file


Reestablish a prior connection

To reestablish a prior connection

  1. In the Remote Desktop Connection window, click the Computer arrow and select the name of the computer to which you want to connect.

  2. Click Connect.

    The Log On to Windows dialog box appears.

  3. In the Log On to Windows dialog box, type your user name, password, and domain (if required), and then click OK.

Notes

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • To view a list of available computers on the domain, click the Computer arrow and select <Browse for more...>.
Related Topics

Create a new connection

Save your connection settings to a file


Save your connection settings to a file

To save your connection settings to a file

  1. Create a new connection or Reestablish a prior connection.
  2. Click Options.
  3. Specify the connection settings that you want for this connection, (such as screen size, automatic logon information, and performance options). For more information, see Change Connection Settings.
  4. On the General tab, click Save As.
  5. Enter a file name for the saved connection file, and then click Save.

Notes

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Connections are saved as Remote Desktop file (.rdp) files. An .rdp file contains all of the information for a connection to a terminal server, including the Options settings that were configured when the file was saved. You can customize any number of .rdp files, including files for connecting to the same server with different settings. For example, you can save a file that connects to MyServer in full screen mode and another file that connects to the same computer in 800×600 screen size. By default, .rdp files are saved in My Computer\Remote Desktops. To edit an .rdp file and change the connections settings it contains right-click the file and then click Edit.
Related Topics

Create a new connection

Open a saved connection


Open a saved connection

To open a saved connection

  1. In Windows Explorer, open the My Documents\Remote Desktops folder.
  2. Click the .Rdp file for the connection you want to open.

Note

  • A Remote Desktop file (.rdp) file contains all of the information for a connection to a remote computer, including the Options settings that were configured when the file was saved. You can customize any number of .rdp files, including files for connecting to the same server with different settings. For example, you can save a file that connects to MyServer in full screen mode and another file that connects to the same computer in 800×600 screen size. By default, .rdp files are saved in the My Computer\Remote Desktops folder. To edit an .rdp file and change the connections settings it contains right-click the file and then click Edit.
Related Topics

Create a new connection

Save your connection settings to a file


Change Connection Settings

How to...

  • Provide information for automatic logon
  • Change the screen size for connections
  • Change the color settings for connections
  • Specify a program to start upon connection
  • Configure connections to play audio
  • Make local disk drives available in a session
  • Make local printer available in a session
  • Make local serial ports available in a session
  • Configure Windows shortcut keys in a session
  • Configure data compression
  • Configure bitmap caching
  • Disconnect without ending a session
  • Logoff and end a session
  • Save your connection settings to a file


Provide information for automatic logon

To provide information for automatic logon

  1. In the Remote Desktop Connection window, click Options.

  2. On the General tab, under Logon settings, in the User name box, verify that your user name is correct.
  3. In the Log on to box, type the workgroup or domain to automatically log on to (if required).
  4. Optionally, clear the I'll provide my password at connection time check box, and then enter your password in the Password box.
  5. Click Connect.

Notes

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network or the configuration of the terminal server to which you want to connect, you might be prompted to supply your password upon connection even if you supply it for automatic logon.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.
Related Topics

Create a new connection

Save connections to a file


Change the screen size for connections

To change the screen size for connections

  1. In the Remote Desktop Connection window, click Options.

  2. On the Display tab, under Remote Desktop Size, drag the slider to choose the size of your remote desktop. Drag the slider all the way to the right for full screen.
  3. Click Connect.

Notes

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.
Related Topics

Use Terminal server shortcut keys

Save your connection settings to a file


Change the color settings for connections

To change the color settings for connections

  1. In the Remote Desktop Connection window, click Options.

  2. On the Display tab, in the Colors list, click the color resolution you want.
  3. Click Connect.

Notes

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network or the configuration of the terminal server to which you want to connect, the maximum color resolution for your remote connection might be limited. If the color resolution you select is higher than the allowable setting, Remote Desktop Connection creates the connection at the maximum allowable color resolution.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.
Related Topics

Use Terminal server shortcut keys

Save your connection settings to a file


Specify a program to start upon connection

To specify a program to start upon connection

  1. In the Remote Desktop Connection window, click Options.

  2. On the Run tab, under Start a program, click Start the following program on connection.
  3. In the Program path and file name box, type the path and filename of the program that you want to run after the connection is created.
  4. Optionally, in the Start in box, type the path to the working directory of the program.
  5. Click Connect.

Notes

  • When the connection is made, only the specified program runs on the remote computer. There are two ways to end a session. To end the session and close the program, use the program's Exit command. To disconnect the session and leave the program running on the remote computer, right-click the computer icon in the upper right corner of the Remote Desktop window, and then click Close.
  • To specify a path, type the drive letter followed by a colon (:) and a backslash (\), type the names of the folders and subfolders that contain the file, separating each name with a backslash, and then type the name of the file or folder you want to open.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.
Related Topics

Save your connection settings to a file


Configure connections to play audio

To configure connections to play audio

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, in the Remote computer sound list, click the option you want.
    • To run sound files in your Remote Desktop session and hear them on your local computer, choose Bring to this computer.
    • To run sound files in your Remote Desktop session and play them only on the remote computer, choose Leave at remote computer.
    • To disable all sound in Remote Desktop sessions, choose Do not play.
  3. Click Connect.

Notes

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, audio redirection might be disabled for some or all remote connections. Additionally, audio redirection does not work when you connect to a server running Windows 2000 or earlier.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.


Make local disk drives available in a session

To make local disk drives available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, Under Local devices, click Disk drives.
  3. Click Connect.

Note

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, local drive mapping might be disabled for some or all remote connections.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.


Make your local printer available in a session

To make your local printer available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, under Local devices, click Printers.
  3. Click Connect.

Note

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, local printer mapping might be disabled for some or all remote connections.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.


Make your local serial port available in a session

To make your local serial port available in a session

  1. In the Remote Desktop Connection window, click Options.

  2. On the Local Resources tab, under Local devices, click Serial ports.
  3. Click Connect.

Note

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Depending on the policies of your network, local serial port mapping might be disabled for some or all remote connections.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.


Configure Windows shortcut keys in a session

To configure Windows shortcut keys in a session

  1. In the Remote Desktop Connection window, click Options.
  2. On the Local Resources tab, under Keyboard, click the Apply Windows key combinations list, and then click the option you want. This option affects the behavior of Windows shortcut key combinations (such as ALT+TAB) when you are connected to a remote computer.
    • To configure your connection so that Windows shortcut keys always apply to your local desktop, choose On the local computer.
    • To configure your connection so that all Windows shortcut keys always apply to the desktop of the remote computer, choose On the remote computer.
    • To configure your connection so that Windows shorcut keys apply to the remote computer only when the connection is in full screen mode, choose In full screen mode only.
  3. Click Connect.

Note

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.
  • To toggle between full screen and non-full screen mode during a Terminal Services session, use CTRL+ALT+BREAK. For a list of Terminal server-specific shortcut keys, see Use Terminal server shortcut keys.
Related Topics

Use Terminal server shortcut keys

Save your connection settings to a file


Configure data compression

To configure data compression

  1. In the Remote Desktop Connection window, click Options.

  2. On the Advanced tab, verify that the Use compression check box is selected. Or, to disable compression, click the Use compression check box to clear it.
  3. Click Connect.

Notes

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • By default, compression is enabled for Remote Desktop connections. Compression reduces the amount of data that has to be sent across the network, but it requires a small amount of extra processing power. If your processor is slow, you might try disabling compression. However, it is recommended that you use compression unless instructed otherwise by your network administrator.
  • When you click Connect, the information you have entered in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.
Related Topics

Configure bitmap caching


Configure bitmap caching

To configure bitmap caching

  1. In the Remote Desktop Connection window, click Options.

  2. On the Advanced tab, verify that the Use bitmap caching check box is selected. Or, to disable bitmap caching, click the Use bitmap caching check box to clear it.
  3. Click Connect.

Notes

  • To start Remote Desktop Connection, click Start, point to Programs, point to Accessories, point to Communications, and then click Remote Desktop Connection.
  • Bitmap caching can speed up your connection by storing frequently used images on your local hard disk. By default, bitmap caching is enabled for Remote Desktop connections. It is recommended that you use bitmap caching unless instructed otherwise by your network administrator.
  • When you click Connect, the information you enter in Options becomes the default setting for all Remote Desktop connections and is saved in a file called Default.rdp. To create connections with different or connection-specific options, see Save your connection settings to a file.
Related Topics

Configure bitmap caching


Disconnect without ending a session

To disconnect without ending a session

  1. In the Remote Desktop Connection window, click Start, and then click Shut Down.

    The Shut Down Windows dialog box appears.

  2. Click Disconnect, and then click OK.

Notes

  • You can also disconnect from a session by closing the Remote Desktop Connection window.
  • Remote Desktop Connection automatically reconnects to this session the next time you connect to this computer (if the remote computer is configured to allow reconnection of disconnected sessions).
Related Topics

To log off and end the session


Log off and end the session

To log off and end the session

  1. In the Remote Desktop Connection window, click Start, and then click Shut Down.

    The Shut Down Windows dialog box appears.

  2. Click Log Off <username>, and then click OK.
Related Topics

To disconnect without ending a session


Use Remote Desktop Connection

How to...

  • Cut and paste to a local application from a remote session
  • Access local files and folders in a remote session
  • Print to your local printer from a remote session
  • Disconnect without ending a session
  • Log off and end the session
  • Use Terminal server shortcut keys


Cutting and pasting to and from a remote session

Many Remote Desktop and Terminal Server connections provide clipboard sharing, allowing you to cut and paste from programs running in your Remote Desktop session to programs running on your local computer.

When you cut or copy information from a program, it is moved to the Clipboard and remains there until you clear the Clipboard or until you cut or copy another piece of information. The Clipboard window in ClipBook Viewer (Clipbrd.exe) shows the contents of the Clipboard. You can paste the information from the Clipboard into any document as often as you like. However, the information is only stored on the Clipboard temporarily.

The shared clipboard synchronizes its contents with the local clipboard. You can copy and paste text or graphics from a document within the Remote Desktop Connection window, and paste it into a document on your local machine. For information on copying, pasting, and using local files and folders in a Remote Desktop session, see To access local files and folders in a remote session

Notes

  • Depending on the policies of your network and the version of Windows that is running on the remote computer, clipboard sharing might not work for some Remote Desktop connections.
Related Topics

Accessing local files and folders in a remote session


Accessing local files and folders in a remote session

With Remote Desktop Connection, your local drives are available automatically when you are connected to a remote computer.

Within a Remote Desktop session, your local drives appear in Windows Explorer with the following designation:

<driveletter>\ on tsclient

To access local drives from a command line or a run line in a remote session, type:

\\tsclient\<driveletter>

where driveletter is the drive letter (without a colon) of the local drive.

Notes

  • Depending on your network policies, automatic drive mapping might be disabled for some or all computers on your network. To ensure that Remote Desktop Connection is configured to map local drives, see To make local disk drives available in a session.
  • Automatic drive mapping is not available when you are connecting to a terminal server running Windows 2000 or earlier.
Related Topics

To make local disk drives available in a session


Printing to your local printer from a remote session

Printer redirection routes printing jobs from the terminal server or Remote Desktop computer to a printer attached to your local computer (also called the "client computer"). There are two ways to provide access to local printers: automatic and manual printer redirection. Use manual redirection when your local printer requires a driver that is not available on the version of Windows that is running on the remote computer.

Automatic printer redirection

Printer redirection is automatic when the local printer uses a driver that is installed on the server. When you log on to a session on a terminal server, or to a computer running Windows Professional or Server and Remote Desktop, any local printers attached to LPT, COM and USB ports that are installed on the client (local) computer are automatically detected and a local queue is created on the server. The client computer printer settings for the default printer and some properties (such as printing on both sides of the page) are used by the server.

When you disconnect or end the session, the printer queue is deleted and any incomplete or pending print jobs are lost. Information about the client's local printers and settings are saved on the client computer. On subsequent logons, the printer queue is created using the information stored on the client computer.

If a printer driver is not found on the server, an event is logged and the client printer is not created. To make the printer available, the driver must be manually installed on the server.

Manual printer redirection

Printers attached to LPT and COM ports on the client (local) computer can be manually redirected, although manual redirection of printers connected through USB ports is not supported.

To manually redirect a client printer, contact your administrator and provide the name of your computer (or IP address for a Windows-based Terminal). The client must be connected to the remote computer during manual redirection.

After the initial manual redirection, printers will be automatically redirected during subsequent logons.

Notes

  • Redirected printers are available for use with applications running on the server. Redirected printers appear in the Printers folder in Control Panel and are named in this format: Client Printer Name/Client Computer Name/Session Number.
  • When you disconnect or log off from a session, the printer queue is deleted and incomplete or pending print jobs are lost.
Related Topics

To make your local printer available in a session


Using Terminal Server shortcut keys

If you choose not to apply Windows key combinations to your Remote Desktop sessions, you can use these Terminal Server shortcut keys to perform many of the same functions. For more information about applying Windows key combinations, see To configure Windows shortcut keys in a session.

Shortcut key | Description
ALT+PAGE UP | Switches between programs from left to right.
ALT+PAGE DOWN | Switches between programs from right to left.
ALT+INSERT | Cycles through the programs in the order they were started.
ALT+HOME | Displays the Start menu.
CTRL+ALT+BREAK | Switches the client between a window and full screen.
CTRL+ALT+END | Brings up the Windows Security dialog box.
ALT+DELETE | Displays the Windows menu.
CTRL+ALT+Minus (-) symbol on the numeric keypad | Places a snapshot of the active window, within the client, on the Terminal server clipboard (provides the same functionality as pressing PrintScrn on a local computer.)
CTRL+ALT+Plus (+) symbol on the numeric keypad | Places a snapshot of the entire client window area on the Terminal server clipboard (provides the same functionality as pressing ALT+PrintScrn on a local computer.)

Notes

  • On an NEC98, these shortcut keys are different in two cases:
    • CTRL+ALT+BREAK is replaced by F12.
    • CTRL+ALT+END is replaced by F15.
  • CTRL+ALT+BREAK and CTRL+ALT+END are available in all Remote Desktop Connection sessions, even when you have chosen to apply Windows key combinations on the remote computer.
Related Topics

To configure Windows shortcut keys in a session


Troubleshooting

This information is not yet available for this preliminary release.